export declare const STORAGE_KEY = "STATSIG_JS_LITE_LOCAL_OVERRIDES";
export declare function makeEmptyOverrides(): {
    gates: {};
    configs: {};
    layers: {};
};
export type LocalOverrides = {
    gates: {
        [gateName: string]: boolean;
    };
    configs: {
        [configName: string]: Record<string, unknown>;
    };
    layers: {
        [layerName: string]: Record<string, unknown>;
    };
};
export declare function loadOverridesFromLocalStorage(): LocalOverrides;
export declare function saveOverridesToLocalStorage(overrides: LocalOverrides): void;
