import { StatsigUser } from './StatsigUser';
export type StatsigMetadata = {
    sdkType: string;
    sdkVersion: string;
    stableID: string;
    locale?: string;
    appVersion?: string;
    systemVersion?: string;
    systemName?: string;
    deviceModelName?: string;
    deviceModel?: string;
};
export default class Identity {
    _user: StatsigUser | null;
    readonly _sdkKey: string;
    readonly _statsigMetadata: StatsigMetadata;
    private _sdkType;
    private readonly _sdkVersion;
    constructor(sdkKey: string, user: StatsigUser | null, overrideStableID?: string | null);
    saveStableID(): void;
    getUserCacheKey(): string;
    private _getUUID;
}
