export declare enum StatsigErrorMessage {
    REQUIRE_ASYNC_INITIALIZE = "Call initialize() first.",
    REQUIRE_SYNC_INITIALIZE = "Call and wait for initialize() to finish first.",
    REQUIRE_INITIALIZE_FOR_LOG_EVENT = "Must initialize() before logging events."
}
export declare class StatsigUninitializedError extends Error {
    constructor(message?: string);
}
export declare class StatsigInvalidArgumentError extends Error {
    constructor(message?: string);
}
export declare class StatsigSDKKeyMismatchError extends Error {
    constructor(message?: string);
}
